summaryrefslogtreecommitdiffstats
path: root/network/lxi-tools
diff options
context:
space:
mode:
author Nate Bargmann <n0nb@arrl.net>2018-01-28 18:47:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-28 18:47:10 +0700
commit4f2fe9731006634354f9eae282a61408cf77e1d3 (patch)
treefc56536fbd46a2beeccb5057029259f14a563cc5 /network/lxi-tools
parent32f6524ed221c18f837419a7f34b79625d2627ed (diff)
downloadslackbuilds-4f2fe9731006634354f9eae282a61408cf77e1d3.tar.gz
slackbuilds-4f2fe9731006634354f9eae282a61408cf77e1d3.tar.xz
network/lxi-tools: Added LAN eXtensions for Instrumentation).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/lxi-tools')
-rw-r--r--network/lxi-tools/README7
-rw-r--r--network/lxi-tools/lxi-tools.SlackBuild96
-rw-r--r--network/lxi-tools/lxi-tools.info10
-rw-r--r--network/lxi-tools/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/network/lxi-tools/README b/network/lxi-tools/README
new file mode 100644
index 0000000000..a42359ddde
--- /dev/null
+++ b/network/lxi-tools/README
@@ -0,0 +1,7 @@
+lxi-tools is a collection of open source software tools that enables control
+of LXI compatible instruments such as modern oscilloscopes, power supplies,
+spectrum analyzers etc.
+
+All features are consolidated in the 'lxi' application which provides a simple
+commandline interface to discover LXI instruments, send SCPI commands, and
+capture screenshots from supported LXI instruments.
diff --git a/network/lxi-tools/lxi-tools.SlackBuild b/network/lxi-tools/lxi-tools.SlackBuild
new file mode 100644
index 0000000000..e6e04c9ef7
--- /dev/null
+++ b/network/lxi-tools/lxi-tools.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for lxi-tools
+
+# Copyright 2018 Nate Bargmann <n0nb@arrl.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lxi-tools
+VERSION=${VERSION:-1.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+LIBS="-lncurses" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/lxi-tools/lxi-tools.info b/network/lxi-tools/lxi-tools.info
new file mode 100644
index 0000000000..31536eba35
--- /dev/null
+++ b/network/lxi-tools/lxi-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="lxi-tools"
+VERSION="1.16"
+HOMEPAGE="https://lxi-tools.github.io/"
+DOWNLOAD="https://github.com/lxi-tools/lxi-tools/releases/download/v1.16/lxi-tools-1.16.tar.xz"
+MD5SUM="9ed03fb08abcf69aad631cda76bcbc12"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="liblxi"
+MAINTAINER="Nate Bargmann"
+EMAIL="n0nb@arrl.net"
diff --git a/network/lxi-tools/slack-desc b/network/lxi-tools/slack-desc
new file mode 100644
index 0000000000..a566eb8ab2
--- /dev/null
+++ b/network/lxi-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lxi-tools: lxi-tools (LAN eXtensions for Instrumentation)
+lxi-tools:
+lxi-tools: lxi-tools is a collection of open source software tools that enables
+lxi-tools: control of LXI compatible instruments such as modern oscilloscopes,
+lxi-tools: power supplies, spectrum analyzers etc.
+lxi-tools:
+lxi-tools: All features are consolidated in the 'lxi' application which provides
+lxi-tools: a simple commandline interface to discover LXI instruments, send
+lxi-tools: SCPI commands, and capture screenshots from supported LXI
+lxi-tools: instruments.
+lxi-tools: